ResizeKit2

ResizeKit2 Reference

Form Resizing Component

Newtone Corporation
1-6-43 Kotobuki
Nagaoka City, Niigata Prefecture, 940-0015
JAPAN
Fax: +81-258-24-7905
http://www.imagekit.com
rssupport@imagekit.com


Overview

The ResizeKit Control

Automatically adjusts the size of the controls and fonts displayed on the form in proportion to changes in the form size or screen resolution. The size of the form when it is initially displayed and the amount that the form can be enlarged or reduced can be set.

Simply paste the control on the form. Redesign or adding code is not necessary.

To use the ResizeKit, simply place the control on the form and recompile the program. Established programs can easily become size (and screen resolution) independent.

Simple sample programs included

The ResizeKit comes with easy to understand sample programs that illustrate how to use the control.

Supported Platforms:

Windows Server 2012
Windows 8.1
Windows 8
Windows 7
Windows Server 2008
Windows Vista
Windows Server 2003
Windows XP
Windows 2000

Supported Containers:

ResizeKit2 Version | Supported Development Container
ResizeKit2 VB | Visual Basic 5.0 SP2 and above / Visual Basic 6.0
ResizeKit2 Delphi5 | Delphi5
ResizeKit2 Delphi6 | Delphi6
ResizeKit2 Delphi7 | Delphi7
ResizeKit2 Delphi2005 | Delphi2005 (Win32)
ResizeKit2 Delphi2007 | Delphi2007 (Win32)
ResizeKit2 Delphi2009 | Delphi2009 (Win32)
ResizeKit2 Delphi2010 | Delphi2010 (Win32)
ResizeKit2 Delphi XE | Delphi XE (Win32)
ResizeKit2 Delphi XE2 | Delphi XE2 (Win32/64)
ResizeKit2 Delphi XE3 | Delphi XE3 (Win32/64)
ResizeKit2 Delphi XE4 | Delphi XE4 (Win32/64)
ResizeKit2 Delphi XE5 | Delphi XE5 (Win32/64)
ResizeKit2 Delphi XE6 | Delphi XE6 (Win32/64)
ResizeKit2 Delphi XE7 | Delphi XE7 (Win32/64)
ResizeKit2 Delphi XE8 | Delphi XE8 (Win32/64)
ResizeKit2 C++ Builder5 | C++ Builder5
ResizeKit2 C++ Builder6 | C++ Builder6
ResizeKit2 C++ Builder2007 | C++ Builder2007 (Win32)
ResizeKit2 C++ Builder2009 | C++ Builder2009 (Win32)
ResizeKit2 C++ Builder2010 | C++ Builder2010 (Win32)
ResizeKit2 C++ Builder XE | C++ Builder XE (Win32)
ResizeKit2 C++ Builder XE2 | C++ Builder XE2 (Win32)
ResizeKit2 C++ Builder XE3 | C++ Builder XE3 (Win32/64)
ResizeKit2 C++ Builder XE4 | C++ Builder XE4 (Win32/64)
ResizeKit2 C++ Builder XE5 | C++ Builder XE5 (Win32/64)
ResizeKit2 C++ Builder XE6 | C++ Builder XE6 (Win32/64)
ResizeKit2 C++ Builder XE7 | C++ Builder XE7 (Win32/64)
ResizeKit2 C++ Builder XE8 | C++ Builder XE8 (Win32/64)
ResizeKit2 BDS2006 | Borland Developer Studio 2006 (Win32)
ResizeKit2 RAD Studio XE2 Includes both ResizeKit2 C++Builder XE2 and ResizeKit2 Delphi XE2 | RAD Studio XE2 (C++Builder XE2 - Win32) / (Delphi XE2 - Win32/64)
ResizeKit2 RAD Studio XE3 Includes both ResizeKit2 C++Builder XE3 and ResizeKit2 Delphi XE3 | RAD Studio XE3 (C++Builder XE3 - Win32/64) / (Delphi XE3 - Win32/64)
ResizeKit2 RAD Studio XE4 Includes both ResizeKit2 C++Builder XE4 and ResizeKit2 Delphi XE4 | RAD Studio XE4 (C++Builder XE4 - Win32/64) / (Delphi XE4 - Win32/64)
ResizeKit2 RAD Studio XE5 Includes both ResizeKit2 C++Builder XE5 and ResizeKit2 Delphi XE5 | RAD Studio XE5 (C++Builder XE5 - Win32/64) / (Delphi XE5 - Win32/64)
ResizeKit2 RAD Studio XE6 Includes both ResizeKit2 C++Builder XE6 and ResizeKit2 Delphi XE6 | RAD Studio XE6 (C++Builder XE6 - Win32/64) / (Delphi XE6 - Win32/64)
ResizeKit2 RAD Studio XE7 Includes both ResizeKit2 C++Builder XE7 and ResizeKit2 Delphi XE7 | RAD Studio XE7 (C++Builder XE7 - Win32/64) / (Delphi XE7 - Win32/64)
ResizeKit2 RAD Studio XE8 Includes both ResizeKit2 C++Builder XE8 and ResizeKit2 Delphi XE8 | RAD Studio XE8 (C++Builder XE8 - Win32/64) / (Delphi XE8 - Win32/64)


SetupActiveX

Setup for ResizeKit2 VB

Installation

After downloading the ResizeKit2, run the RsKit2VBe.exe.
After the ResizeKit2 setup is complete, the following folders will be created under the directory where the ResizeKit2 was installed;

ResizeKit2 Installation Folder
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the ResizeKit.ocx and ResizeKit.lic
|
|----Sample
| Contains the ResizeKit2 sample programs

Note: When the ResizeKit2 is installed, the control is automatically registered in the Registry. To install it manually, use the REGSVR32 command.

Loading the ResizeKit2 in Visual Basic

1) Open a new project.
2) On the menu bar click Project and select Components. This will open the Components window. Under the Controls tab find ResizeKit ActiveX Control.

3) Check the ResizeKit Control and click OK.
4) The ResizeKit Control will now appear in the VB Toolbox.

5) Simply place the ResizeKit Control on your form along with the other controls you need.


SetupVCL

Setup for ResizeKit2 VCL Versions

Installation for ResizeKit2 Delphi5, ResizeKit2 Delphi6, ResizeKit2 Delphi7, ResizeKit2 Delphi2007, ResizeKit2 Delphi2009, ResizeKit2 Delphi2010, ResizeKit2 DelphiXE, ResizeKit2 DelphiXE2, ResizeKit2 DelphiXE3, ResizeKit2 DelphiXE4, ResizeKit2 DelphiXE5, ResizeKit2 DelphiXE6, ResizeKit2 DelphiXE7, ResizeKit2 DelphiXE8

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

Delhi ? (where ? is the Delphi version number)
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPL, DCU, and DCP files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 Delphi XE8

1. Copy the ResizeKitPKD22.bpl from the ResizeKit2\DelphiXE8\Product\Win32 folder into the DelphiXE8 Bin folder. Copy the other files from the ResizeKit2\DelphiXE8\Product\Win32 folder into the DelphiXE8 lib\win32\release folder. Also, copy the ResizeKitPKD22.bpl from the ResizeKit2\DelphiXE8\Product\Win64 folder into the DelphiXE8 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE8\Product\Win64 folder into the DelphiXE8 lib\win64\release folder.
2. Run DelphiXE8 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD22.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE7

1. Copy the ResizeKitPKD21.bpl from the ResizeKit2\DelphiXE7\Product\Win32 folder into the DelphiXE7 Bin folder. Copy the other files from the ResizeKit2\DelphiXE7\Product\Win32 folder into the DelphiXE7 lib\win32\release folder. Also, copy the ResizeKitPKD21.bpl from the ResizeKit2\DelphiXE7\Product\Win64 folder into the DelphiXE7 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE7\Product\Win64 folder into the DelphiXE7 lib\win64\release folder.
2. Run DelphiXE7 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD21.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE6

1. Copy the ResizeKitPKD20.bpl from the ResizeKit2\DelphiXE6\Product\Win32 folder into the DelphiXE6 Bin folder. Copy the other files from the ResizeKit2\DelphiXE6\Product\Win32 folder into the DelphiXE6 lib\win32\release folder. Also, copy the ResizeKitPKD20.bpl from the ResizeKit2\DelphiXE6\Product\Win64 folder into the DelphiXE6 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE6\Product\Win64 folder into the DelphiXE6 lib\win64\release folder.
2. Run DelphiXE6 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD20.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE5

1. Copy the ResizeKitPKD19.bpl from the ResizeKit2\DelphiXE5\Product\Win32 folder into the DelphiXE5 Bin folder. Copy the other files from the ResizeKit2\DelphiXE5\Product\Win32 folder into the DelphiXE5 lib\win32\release folder. Also, copy the ResizeKitPKD19.bpl from the ResizeKit2\DelphiXE5\Product\Win64 folder into the DelphiXE5 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE5\Product\Win64 folder into the DelphiXE5 lib\win64\release folder.
2. Run DelphiXE5 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD19.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE4

1. Copy the ResizeKitPKD18.bpl from the ResizeKit2\DelphiXE4\Product\Win32 folder into the DelphiXE4 Bin folder. Copy the other files from the ResizeKit2\DelphiXE4\Product\Win32 folder into the DelphiXE4 lib\win32\release folder. Also, copy the ResizeKitPKD18.bpl from the ResizeKit2\DelphiXE4\Product\Win64 folder into the DelphiXE4 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE4\Product\Win64 folder into the DelphiXE4 lib\win64\release folder.
2. Run DelphiXE4 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD18.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE3

1. Copy the ResizeKitPKD17.bpl from the ResizeKit2\DelphiXE3\Product\Win32 folder into the DelphiXE3 Bin folder. Copy the other files from the ResizeKit2\DelphiXE3\Product\Win32 folder into the DelphiXE3 lib\win32\release folder. Also, copy the ResizeKitPKD17.bpl from the ResizeKit2\DelphiXE3\Product\Win64 folder into the DelphiXE3 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE3\Product\Win64 folder into the DelphiXE3 lib\win64\release folder.
2. Run DelphiXE3 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD17.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE2

1. Copy the ResizeKitPKD16.bpl from the ResizeKit2\DelphiXE2\Product\Win32 folder into the DelphiXE2 Bin folder. Copy the other files from the ResizeKit2\DelphiXE2\Product\Win32 folder into the DelphiXE2 lib\win32\release folder. Also, copy the ResizeKitPKD16.bpl from the ResizeKit2\DelphiXE2\Product\Win64 folder into the DelphiXE2 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE2\Product\Win64 folder into the DelphiXE2 lib\win64\release folder.
2. Run DelphiXE2 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD16.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE

1. Copy the ResizeKitPKD15.bpl from the ResizeKit2\DelphiXE\Product folder into the DelphiXE Bin folder. Copy the other files from the ResizeKit2\DelphiXE\Product folder into the DelphiXE Lib Folder
2. Run DelphiXE and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD15.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi2010

1. Copy the ResizeKitPKD14.bpl from the ResizeKit2\Delphi2010\Product folder into the Delphi2010 Bin folder. Copy the other files from the ResizeKit2\Delphi2010\Product folder into the Delphi2010 Lib Folder
2. Run Delphi2010 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD14.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi2009

1. Copy the ResizeKitPKD12.bpl from the ResizeKit2\Delphi2009\Product folder into the Delphi2009 Bin folder. Copy the other files from the ResizeKit2\Delphi2009\Product folder into the Delphi2009 Lib Folder
2. Run Delphi2009 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD12.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi2007

1. Copy the ResizeKitPKD11.bpl from the ResizeKit2\Delphi2007\Product folder into the Delphi2007 Bin folder. Copy the other files from the ResizeKit2\Delphi2007\Product folder into the Delphi2007 Lib Folder
2. Run Delphi2007 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD11.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi2005

1. Copy the ResizeKitPKD9.bpl from the ResizeKit2\Delphi2005\Product folder into the Delphi2005 Bin folder. Copy the other files from the ResizeKit2\Delphi2005\Product folder into the Delphi2005 Lib Folder
2. Run Delphi2005 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD9.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi7

1. Copy the ResizeKitPKD7.bpl from the ResizeKit2\Delphi7\Product folder into the Delphi7 Bin folder. Copy the other files from the ResizeKit2\Delphi7\Product folder into the Delphi7 Lib Folder
2. Run Delphi7 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD7.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi6

1. Copy the ResizeKitPKD6.bpl from the ResizeKit2\Delphi6\Product folder into the Delphi6 Bin folder. Copy the other files from the ResizeKit2\Delphi6\Product folder into the Delphi6 Lib Folder
2. Run Delphi6 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD6.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi5

1. Copy the ResizeKitPKD5.bpl from the ResizeKit2\Delphi5\Product folder into the Delphi5 Bin folder. Copy the other files from the ResizeKit2\Delphi5\Product folder into the Delphi5 Lib Folder
2. Run Delphi5 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD5.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

You will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under following enviroments:
Delphi5: Update Pack 1
Delphi6: Update Pack 2 + RTL #3
Delphi7: Update 1
Delphi2005: Update 3
Delphi2007: December 2007 Update
Delphi2009: Update 4
Delphi2010: Update 5
DelphiXE: Update 1
DelphiXE2: Update 4 Hotfix 1
DelphiXE3: Update 2
DelphiXE4: Update 1
DelphiXE5: Update 2 Hotfix 5
DelphiXE6: Update 1
DelphiXE7: Update 1
DelphiXE8: Update 1

Installation for ResizeKit2 C++Builder5, ResizeKit2 C++Builder6, ResizeKit2 C++Builder2007, ResizeKit2 C++Builder2009, ResizeKit2 C++Builder2010, ResizeKit2 C++BuilderXE, ResizeKit2 C++BuilderXE2, ResizeKit2 C++BuilderXE3, ResizeKit2 C++BuilderXE4, ResizeKit2 C++BuilderXE5, C++BuilderXE6, ResizeKit2 C++BuilderXE7, ResizeKit2 C++BuilderXE8

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

CBuilder ? (where ? is the C++Builder version number)
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 C++Builder XE8

1. Copy the ResizeKitPKD22.bpl from the downloaded CBuilderXE8\Product\Win32 folder into the C++BuilderXE8 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE8\Product\Include folder into the C++BuilderXE8 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE8\Product \Win32 folder into the C++BuilderXE8 Lib\win32\release Folder. Also copy the ResizeKitPKD22.bpl into the CBuilder XE8 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE8 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD22.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE7

1. Copy the ResizeKitPKD21.bpl from the downloaded CBuilderXE7\Product\Win32 folder into the C++BuilderXE7 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE7\Product\Include folder into the C++BuilderXE7 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE7\Product \Win32 folder into the C++BuilderXE7 Lib\win32\release Folder. Also copy the ResizeKitPKD21.bpl into the CBuilder XE7 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE7 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD21.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE6

1. Copy the ResizeKitPKD20.bpl from the downloaded CBuilderXE6\Product\Win32 folder into the C++BuilderXE6 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE6\Product\Include folder into the C++BuilderXE6 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE6\Product \Win32 folder into the C++BuilderXE6 Lib\win32\release Folder. Also copy the ResizeKitPKD20.bpl into the CBuilder XE6 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE6 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD20.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE5

1. Copy the ResizeKitPKD19.bpl from the downloaded CBuilderXE5\Product\Win32 folder into the C++BuilderXE5 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE5\Product\Include folder into the C++BuilderXE5 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE5\Product \Win32 folder into the C++BuilderXE5 Lib\win32\release Folder. Also copy the ResizeKitPKD19.bpl into the CBuilder XE5 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE5 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD19.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE4

1. Copy the ResizeKitPKD18.bpl from the downloaded CBuilderXE4\Product\Win32 folder into the C++BuilderXE4 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE4\Product\Include folder into the C++BuilderXE4 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE4\Product \Win32 folder into the C++BuilderXE4 Lib\win32\release Folder. Also copy the ResizeKitPKD18.bpl into the CBuilder XE4 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE4 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD18.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE3

1. Copy the ResizeKitPKD17.bpl from the downloaded CBuilderXE3\Product\Win32 folder into the C++BuilderXE3 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE3\Product\Include folder into the C++BuilderXE3 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE3\Product \Win32 folder into the C++BuilderXE3 Lib\win32\release Folder. Also copy the ResizeKitPKD17.bpl into the CBuilder XE3 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE3 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD17.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE2

1. Copy the ResizeKitPKD16.bpl from the downloaded CBuilderXE2\Product folder into the C++BuilderXE2 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE2\Product folder into the C++BuilderXE2 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE2\Product folder into the C++BuilderXE2 Lib\win32\release Folder
2. Run C++BuilderXE2 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD16.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE

1. Copy the ResizeKitPKD15.bpl from the downloaded CBuilderXE\Product folder into the C++BuilderXE Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE\Product folder into the C++BuilderXE Include folder. Copy the other files from the downloaded CBuilderXE\Product folder into the C++BuilderXE Lib Folder
2. Run C++BuilderXE and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD15.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder2010

1. Copy the ResizeKitPKD14.bpl from the downloaded CBuilder2010\Product folder into the C++Builder2010 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder2010\Product folder into the C++Builder2010 Include folder. Copy the other files from the downloaded CBuilder2010\Product folder into the C++Builder2010 Lib Folder
2. Run C++Builder2010 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD14.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder2009

1. Copy the ResizeKitPKD12.bpl from the downloaded CBuilder2009\Product folder into the C++Builder2009 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder2009\Product folder into the C++Builder2009 Include folder. Copy the other files from the downloaded CBuilder2009\Product folder into the C++Builder2009 Lib Folder
2. Run C++Builder2009 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD12.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder2007

1. Copy the ResizeKitPKD11.bpl from the downloaded CBuilder2007\Product folder into the C++Builder2007 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder2007\Product folder into the C++Builder2007 Include folder. Copy the other files from the downloaded CBuilder2007\Product folder into the C++Builder2007 Lib Folder
2. Run C++Builder2007 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD11.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder6

1. Copy the ResizeKitPKB6.bpl from the downloaded CBuilder6\Product folder into the C++Builder6 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder6\Product folder into the C++Builder6 Include folder. Copy the other files from the downloaded CBuilder6\Product folder into the C++Builder6 Lib Folder
2. Run C++Builder6 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB6.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder5

1. Copy the ResizeKitPKB5.bpl from the downloaded CBuilder5\Product folder into the C++Builder5 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder5\Product folder into the C++Builder5 Include folder. Copy the other files from the downloaded CBuilder5\Product folder into the C++Builder5 Lib Folder
2. Run C++Builder5 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB5.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

You will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under following enviroments:
C++Builder5: No Update
C++Builder6: Update Pack 4
C++Builder2007: December 2007 Update
C++Builder2009: Update 4
C++Builder2010: Update 5
C++BuilderXE: Update 1
C++BuilderXE2: Update 4 Hotfix 1
C++BuilderXE3: Update 2
C++BuilderXE4: Update 1
C++BuilderXE5: Update 2 Hotfix 5
C++BuilderXE6: Update 1
C++BuilderXE7: Update 1
C++BuilderXE8: Update 1

Installation for ResizeKit2 RAD Studio XE8

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

RADStudioXE8
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE8

1. Copy the ResizeKitPKD22.bpl from the downloaded RADStudioXE8\Product\Win32 folder into the RAD Studio XE8 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE8\Product\Include folder into the RAD Studio XE8 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE8\Product\Win32 folder into the RAD Studio XE8 Lib\win32\release folder.

Copy the ResizeKitPKD22.bpl from the downloaded RADStudioXE8\Product\Win64 folder into the RAD Studio XE8 Bin64 folder. Copy the other files from the downloaded RADStudioXE8\Product\Win64 into the RAD Studio XE8 Lib\win64\release folder.

2. Run RAD Studio XE8 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB22.bpl in the RAD Studio XE8 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

You will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE8 using Update 1.

Installation for ResizeKit2 RAD Studio XE7

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

RADStudioXE7
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE7

1. Copy the ResizeKitPKD21.bpl from the downloaded RADStudioXE7\Product\Win32 folder into the RAD Studio XE7 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE7\Product\Include folder into the RAD Studio XE7 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE7\Product\Win32 folder into the RAD Studio XE7 Lib\win32\release folder.

Copy the ResizeKitPKD21.bpl from the downloaded RADStudioXE7\Product\Win64 folder into the RAD Studio XE7 Bin64 folder. Copy the other files from the downloaded RADStudioXE7\Product\Win64 into the RAD Studio XE7 Lib\win64\release folder.

2. Run RAD Studio XE7 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB21.bpl in the RAD Studio XE7 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

You will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE7 using Update 1.

Installation for ResizeKit2 RAD Studio XE6

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

RADStudioXE6
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE6

1. Copy the ResizeKitPKD20.bpl from the downloaded RADStudioXE6\Product\Win32 folder into the RAD Studio XE6 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE6\Product\Include folder into the RAD Studio XE6 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE6\Product\Win32 folder into the RAD Studio XE6 Lib\win32\release folder.

Copy the ResizeKitPKD20.bpl from the downloaded RADStudioXE6\Product\Win64 folder into the RAD Studio XE6 Bin64 folder. Copy the other files from the downloaded RADStudioXE6\Product\Win64 into the RAD Studio XE6 Lib\win64\release folder.

2. Run RAD Studio XE6 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB20.bpl in the RAD Studio XE6 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

You will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE6 using Update 1.

Installation for ResizeKit2 RAD Studio XE5

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

RADStudioXE5
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE5

1. Copy the ResizeKitPKD19.bpl from the downloaded RADStudioXE5\Product\Win32 folder into the RAD Studio XE5 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE5\Product\Include folder into the RAD Studio XE5 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE5\Product\Win32 folder into the RAD Studio XE5 Lib\win32\release folder.

Copy the ResizeKitPKD19.bpl from the downloaded RADStudioXE5\Product\Win64 folder into the RAD Studio XE5 Bin64 folder. Copy the other files from the downloaded RADStudioXE5\Product\Win64 into the RAD Studio XE5 Lib\win64\release folder.

2. Run RAD Studio XE5 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB19.bpl in the RAD Studio XE5 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

You will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE5 using Update 2 Hotfix 5.

Installation for ResizeKit2 RAD Studio XE4

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

RADStudioXE4
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE4

1. Copy the ResizeKitPKD18.bpl from the downloaded RADStudioXE4\Product\Win32 folder into the RAD Studio XE4 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE4\Product\Include folder into the RAD Studio XE4 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE4\Product\Win32 folder into the RAD Studio XE4 Lib\win32\release folder.

Copy the ResizeKitPKD18.bpl from the downloaded RADStudioXE4\Product\Win64 folder into the RAD Studio XE4 Bin64 folder. Copy the other files from the downloaded RADStudioXE4\Product\Win64 into the RAD Studio XE4 Lib\win64\release folder.

2. Run RAD Studio XE4 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB18.bpl in the RAD Studio XE4 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

You will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE4 using Update 1.

Installation for ResizeKit2 RAD Studio XE3

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

RADStudioXE3
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE3

1. Copy the ResizeKitPKD17.bpl from the downloaded RADStudioXE3\Product\Win32 folder into the RAD Studio XE3 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE3\Product\Include folder into the RAD Studio XE3 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE3\Product\Win32 folder into the RAD Studio XE3 Lib\win32\release folder.

Copy the ResizeKitPKD17.bpl from the downloaded RADStudioXE3\Product\Win64 folder into the RAD Studio XE3 Bin64 folder. Copy the other files from the downloaded RADStudioXE3\Product\Win64 into the RAD Studio XE3 Lib\win64\release folder.

2. Run RAD Studio XE3 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB17.bpl in the RAD Studio XE3 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

You will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE3 using Update 2.

Installation for ResizeKit2 RAD Studio XE2

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

RADStudioXE2
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE2

1. Copy the ResizeKitPKD16.bpl from the downloaded RADStudioXE2\Product\Win32 folder into the RAD Studio XE2 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE2\Product\Win32 folder into the RAD Studio XE2 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE2\Product\Win32 folder into the RAD Studio XE2 Lib\win32\release folder.

Copy the ResizeKitPKD16.bpl from the downloaded RADStudioXE2\Product\Win64 folder into the RAD Studio XE2 Bin64 folder. Copy the other files from the downloaded RADStudioXE2\Product\Win64 into the RAD Studio XE2 Lib\win64\release folder.

2. Run RAD Studio XE2 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB16.bpl in the RAD Studio XE2 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

You will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE2 with Update 4 HotFix1. RAD Studio

Installation for ResizeKit2 BDS2006 (for Borland Developer Studio 2006)

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

BDS2006
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 BDS2006

1. Copy the ResizeKitPKD10.bpl from the downloaded BDS2006\Product folder into the BDS2006 Bin folder. Copy the ResizeKit.hpp file from the downloaded BDS2006\Product folder into the BDS2006 Include folder. Copy the other files from the downloaded BDS2006\Product folder into the BDS2006 Lib Folder
2. Run Borland Develper Studio 2006 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB10.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

You will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under BDS2006 with Update 2


Distributing

Distributing ResizeKit2 Applications

When distributing applications that use the ResizeKit2 be sure to include the appropriate ResizeKit2 files in your deployment.

For ResizeKit2 VB:

ResizeKit.OCX

Note: The ResizeKit.OCX must be registered on the deployment machine.

For ResizeKit2 VCL (various Delphi and C++Builder environments)

In C++Builder and Delphi, when distributing design package applications that include a ResizeKit VCL component, no additional files are necessary. When distributing runtime package applications that include a ResizeKit2 VCL component the following files must be included in your distribution list. When using C++Builder XE3, Delphi XE2 / XE3, there are 32 bit and 64 bit bpl files. Please distribute the appropriate bpl.

ResizeKit2 C++Builder5: ResizeKitPKB5.BPL
ResizeKit2 C++Builder6: ResizeKitPKB6.BPL
ResizeKit2 C++Builder2007: ResizeKitPKD11.BPL
ResizeKit2 C++Builder2009: ResizeKitPKD12.BPL
ResizeKit2 C++Builder2010: ResizeKitPKD14.BPL
ResizeKit2 C++BuilderXE: ResizeKitPKD15.BPL
ResizeKit2 C++BuilderXE2: ResizeKitPKD16.BPL
ResizeKit2 C++BuilderXE3: ResizeKitPKD17.BPL
ResizeKit2 C++BuilderXE4: ResizeKitPKD18.BPL
ResizeKit2 C++BuilderXE5: ResizeKitPKD19.BPL
ResizeKit2 C++BuilderXE6: ResizeKitPKD20.BPL
ResizeKit2 C++BuilderXE7: ResizeKitPKD21.BPL
ResizeKit2 C++BuilderXE8: ResizeKitPKD22.BPL

ResizeKit2 Delphi5: ResizeKitPKD5.BPL
ResizeKit2 Delphi6: ResizeKitPKD6.BPL
ResizeKit2 Delphi7: ResizeKitPKD7.BPL
ResizeKit2 Delphi2005: ResizeKitPKD9.BPL
ResizeKit2 Delphi2007: ResizeKitPKD11.BPL
ResizeKit2 Delphi2009: ResizeKitPKD12.BPL
ResizeKit2 Delphi2010: ResizeKitPKD14.BPL
ResizeKit2 DelphiXE: ResizeKitPKD15.BPL
ResizeKit2 DelphiXE2: ResizeKitPKD16.BPL
ResizeKit2 DelphiXE3: ResizeKitPKD17.BPL
ResizeKit2 DelphiXE4: ResizeKitPKD18.BPL
ResizeKit2 DelphiXE5: ResizeKitPKD19.BPL
ResizeKit2 DelphiXE6: ResizeKitPKD20.BPL
ResizeKit2 DelphiXE7: ResizeKitPKD21.BPL
ResizeKit2 DelphiXE8: ResizeKitPKD22.BPL

ResizeKit2 RAD Studio XE2: ResizeKitPKD16.BPL
ResizeKit2 RAD Studio XE3: ResizeKitPKD17.BPL
ResizeKit2 RAD Studio XE4: ResizeKitPKD18.BPL
ResizeKit2 RAD Studio XE5: ResizeKitPKD19.BPL
ResizeKit2 RAD Studio XE6: ResizeKitPKD20.BPL
ResizeKit2 RAD Studio XE7: ResizeKitPKD21.BPL
ResizeKit2 RAD Studio XE8: ResizeKitPKD22.BPL

ResizeKit2 BSD2006: ResizeKitPKD10.BPL

Note: Please copy the above files in the current folder or in the standard Windows System folder (Windows\System or Winnt\System 32) or other valid path.


User Registration and Technical Support

User Registration:

Please be sure to register your ResizeKit. User registration allows you to develop and distribute applications containing the ResizeKit. Registered users may also receive support from our technical staff and also receive discounts on upgrades for the ResizeKit or when purchasing our other products.

To register, please send the following information to register@imagekit.com:

The name of the developer using the ResizeKit2
Your contact information including address and email address
The ResizeKit2 serial number

Technical Support:

Technical support is free to registered users and is available by email or fax only.

We periodically release updates and maintanence releases for the ResizeKit2. Registered users can download these updates from the ResizeKit suppoert section of our web site at:

http://www.imagekit.com

Registered users are provided with a username and password. If you are not yet registered, please send us your name, address, email address and product serial number at the email address given above

To contact us:

Newtone Corporation, Kotobuki 1-6-43
Nagaoka City, Niigata Prefecture 940-0015, JAPAN
Attention: ResizeKit User Support
Fax: +81-258-24-7905
Email: rssupport@imagekit.com


Agreement

User Agreement

Use of the ResizeKit implies agreement with the following terms and conditions. Furthermore, even without explicit agreement, executing this product's setup, its start up, and/or using this product in any way is by itself implicit agreement with the following terms and conditions.

1) Copyright

The ResizeKit and all supporting documents including this manual are the exclusive copyrighted property of Newtone Corporation.

2) Transfer of this product is strictly forbidden

The transfer, lending, distribution, or resale of this product or any part of this product is forbidden.

3) Limited responsibility

Newtone Corporation is not responsible for damage or other effects resulting from the use of this product.

4) Distribution License

Registered users of the ResizeKit can make and distribute application (executable) software without limit. For users of the ResizeKit who make component software, i.e. ActiveX components or DLL components, etc. that includes the ResizeKit, a redistribution license is required.

5) PC Developer's License

The ResizeKit includes one PC Developer's license. This allows the ResizeKit to be installed on one computer (thus allowing the development of application software as outlined above). For developers who wish to install the ResizeKit on multiple computers, a seperate PC Developer's license is required for each PC where the ResizeKit is installed. Newtone Corporation offers several license packages. For more details, please refer to our web site at http://www.imagekit.com


Control Referenece

Control Reference

When using the ResizeKit to develop applications, place the ResizeKit Control on the form during design and then set the control properties when needed.

The ResizeKit Control

The ResizeKit Control automatically recognizes the size of the controls and fonts on your form and adjusts their size according to changes in the screen resolution or changes in the size of the form.

Most third party controls can be resized using the ResizeKit, however there may be some exceptions. When the height and width properties of controls are isulated from the ResizeKit Control, they cannot automatically be resized. The fonts and cells used by some grid and spread type controls are examples of this. In such cases, simply define the height and width of the control that you want to resize within the ExitResize event.

A Note About Syntax

The types listed in ResizeKit2 Help File may be different from the types used in your development environment.

Listed Type | Visual Basic | C++Builder | Delphi
integer | Integer | short | SmallInt
long | Long | long | LongInt
double | Double | double | Double
string | String | AnsiString/UnicodeString | String
bool | Boolean | bool | Boolean

From C++Builder 2009, type UnicodeString is used, for C++Builder versions prior to C++Builder 2009, use AnsiString

When Using the ResizeKit2 In VCL Environments:

All on forms that contain the ResizeKit control, set the form's properties to the following values:

AutoScroll: False
Scaled: False
Position: poDefaultPosOnly, PoDesigned or poScreenCenter

Property List:

Property Name | Explanation
Enabled | Enables the ResizeKit functionality
FormHeight | Sets the height of the initial display of the form
FormMaxHeight | Sets the maximum height of the form
FormMinHeight | Sets the minimum height of the form
FormWidth | Sets the width of the initial display of the form
FormMaxWidth | Sets the maximum width of the form
FormMinWidth | Sets the minimum width of the form
FormPos | Sets the position of the initial display of the form
NoResizeCtl | Sets the controls that will be excluded from resizing
NoResizeFntCtl | Sets the controls whose fonts will be excluded from resizing
ResizeFont | Sets whether or not the fonts of the controls on the form will be resized
ValidTaskbar | Sets whether or not "The Taskbar" is displayed when the form size is larger than the screen size

Method List:

Method Name | Explanation
DynamicAdd | Used when controls are added to the form dynamically. This method updates the ResizeKit so the dynamically added controls will be included in resizing. (For VCL versions of the ResizeKit only)
DynamicDelete | Used when controls are deleted from the form dynamically. This method updates the ResizeKit so the dynamically deleted controls will no longer be included in resizing. (For VCL versions of the ResizeKit only)

Event List:

Event Name | Explanation
ExitResize | Generated after the form has been resized


Properties and Events

Property List:

Property Name | Explanation
Enabled | Enables the ResizeKit functionality
FormHeight | Sets the height of the initial display of the form
FormMaxHeight | Sets the maximum height of the form
FormMinHeight | Sets the minimum height of the form
FormWidth | Sets the width of the initial display of the form
FormMaxWidth | Sets the maximum width of the form
FormMinWidth | Sets the minimum width of the form
FormPos | Sets the position of the initial display of the form
NoResizeCtl | Sets the controls that will be excluded from resizing
NoResizeFntCtl | Sets the controls whose fonts will be excluded from resizing
ResizeFont | Sets whether or not the fonts of the controls on the form will be resized
ValidTaskbar | Sets whether or not "The Taskbar" is displayed when the form size is larger than the screen size

Method List:

Method Name | Explanation
DynamicAdd | Used when controls are added to the form dynamically. This method updates the ResizeKit so the dynamically added controls will be included in resizing. (For VCL versions of the ResizeKit only)
DynamicDelete | Used when controls are deleted from the form dynamically. This method updates the ResizeKit so the dynamically deleted controls will no longer be included in resizing. (For VCL versions of the ResizeKit only)

Event List:

Event Name | Explanation
ExitResize | Generated after the form has been resized


Enabled

Enabled Property

This property enables the ResizeKit functionality.

[form.]resizecontrolname.Enabled [=bool]

Property Value

True: The ResizeKit functionality is enabled (with default values).

False: The ResizeKit functionality is disabled.

Explanation

The Enabled property enables the ResizeKit functionality. When the Enabled property is False, the resize functions will not work when the size of the form changes.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormHeight

FormHeight Property

This property sets the height of the initial display of the form.

[form.]resizecontrolname.FormHeight [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form height specified)

Explanation

The FormHeight property sets the height of the initial display of the form. This property value is in pixel units.

If either the FormHeight property or the FormWidth property are set to 0, then the form size will be determined by the form size at design time or by the values set within the program code.

Please set this property value to be within the limits specified by the FormMaxHeight, FormMaxWidth, FormMinHeight, and FormMinWidth properties.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormMaxHeight

FormMaxHeight Property

This property sets the maximum height of the form.

[form.]resizecontrolname.FormMaxHeight [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form height specified)

Explanation

The FormMaxHeight property sets the maximum height of the form. This property value is in pixel units.

When the form is resized, the height of the form cannot exceed the value set in this property. If the FormMaxHeight property is set to 0, then no maximum height for the form can be set.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormMinHeight

FormMinHeight Property

This property sets the minimum height of the form.

[form.]resizecontrolname.FormMinHeight [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form height specified)

Explanation

The FormMinHeight property sets the minimum height of the form. This property value is in pixel units.

When the form is reduced, the height of the form cannot be smaller than the value set in this property. If the FormMinHeight property is set to 0, then no minimum height for the form can be set.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormWidth

FormWidth Property

This property sets the width of the initial display of the form.

[form.]resizecontrolname.FormWidth [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form width specified)

Explanation

The FormWidth property sets the width of the initial display of the form. This property value is in pixel units.

If either the FormWidth property or the FormHeight property are set to 0, then the form size will be determined by the form size at design time or by the values set within the program code.

Please set this property value to be within the limits specified by the FormMaxHeight, FormMaxWidth, FormMinHeight, and FormMinWidth properties.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormMaxWidth

FormMaxWidth Property

This property sets the maximum width of the form.

[form.]resizecontrolname.FormMaxWidth [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form width specified)

Explanation

The FormMaxWidth property sets the maximum width of the form. This property value is in pixel units.

When the form is resized, the width of the form cannot exceed the value set in this property. If the FormMaxWidth property is set to 0, then no maximum width for the form can be set.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormMinWidth

FormMinWidth Property

This property sets the minimum width of the form.

[form.]resizecontrolname.FormMinWidth [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form width specified)

Explanation

The FormMinWidth property sets the minimum width of the form. This property value is in pixel units.

When the form is reduced, the width of the form cannot be smaller than the value set in this property. If the FormMinWidth property is set to 0, then no minimum widht for the form can be set.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormPos

FormPos Property

This property sets the position of the initial display of the form.

In ActiveX [form.]resizecontrolname.FormPos [=Integer]
In VCL [form.]resizecontrolname.FormPos [:=TResizeFormPos]

Property Value

Value | Explanation
0 (rpDefault) | Default (The initial or preset position of the form)
1 (rpTopLeft) | Top Left
2 (rpTopCenter) | Top Center
3 (rpTopRight) | Top Right
4 (rpMiddleLeft) | Middle Left
5 (rpMiddleCenter) | Middle Center
6 (rpMiddleRight) | Middle Right
7 (rpBottomLeft) | Bottom Left
8 (rpBottomCenter) | Bottom Center
9 (rpBottomRight) | Bottom Right

Note: In the table above, the numerical values are for ActiveX control notation; the values in parentheses are for VCL notation.

Explanation

The FormPos property sets the position of the initial display of the form. The default value is 0 (rpDefault).

Use numerical values to set the FormPos value in ActiveX. In VCL, use

TResizeFormPos = (rpDefault, rpTopLeft, rpTopCenter, rpTopRight, rpMiddleLeft, rpMiddleCenter, rpMiddleRight, rpBottomLeft, rpBottomCenter, or rpBottomRight);

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


NoResizeCtl

NoResizeCtl Property

This property sets the controls that will be excluded from resizing.

[form.]resizecontrolname.NoResizeCtl [=string]

Property Value

The name of the controls on the form that will be excluded from resizing. To exclude multiple controls from resizing, seperate control names with semicolons.

For example:

ResizeKit1.NoResizeCtl="Command1;File1;List1"

In VisualBasic when arrays of controls are used, it is necessary to set the control index as well as the control name. For example, when the following buttons appear on a form: Command1(0), Command1(1), and Command1(2), setting the

ResizeKit1.NoResizeCtl = "Command1(0);Command1(1)

will exclude only Command1(0) and Command1(1) from resizing but Command1(2) will be resized.

Explanation

The NoResizeCtl property sets the controls that will be excluded from resizing.

When using this property in VCL environments, please be sure to set the ParentFont properties of all specified controls to False.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


NoResizeFntCtl

NoResizeFntCtl Property

This property sets the controls whose fonts will be excluded from resizing.

[form.]resizecontrolname.NoResizeFntCtl [=string]

Property Value

The name of the controls on the form whose fonts will be excluded from resizing. To exclude multiple controls from resizing, seperate control names with semicolons.

For example:

ResizeKit1.NoResizeFntCtl="Command1;File1;List1"

In VisualBasic when arrays of controls are used, it is necessary to set the control index as well as the control name. For example, when the following buttons appear on a form: Command1(0), Command1(1), and Command1(2), setting the

ResizeKit1.NoResizeFntCtl = "Command1(0);Command1(1)

will exclude the fonts for buttons Command1(0) and Command1(1) from resizing but the fonts for the Command1(2) button will be resized.

Explanation

The NoResizeFntCtl property sets the controls whose fonts will be excluded from resizing.

Even if the ResizeFont property is set to True, the fonts for controls specified in the NoResizeFntCtl property will not be resized.

When using this property in VCL environments, please be sure to set the ParentFont properties of all specifed controls to False.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


ResizeFont

ResizeFont Property

This property sets whether or not the fonts of the controls on the form will be resized.

[form.]resizecontrolname.ResizeFont [=bool]

Property Value

True: The fonts of all controls will be resized (Default value)
False: The fonts of all controls will not be resized.

Explanation

The ResizeFont property sets whether or not the fonts of the controls on the form will be resized.

Even if the ResizeFont property is set to True, the fonts of controls whose NoResizeFntCtl property is set will not be resized.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


ValidTaskbar

ValidTaskbar Property

This property sets whether or not "The Taskbar" is displayed when the form size is larger than the screen size.

[form.]resizecontrolname.ValidTaskbar [=bool]

Property Value

True: The fonts of all controls will be resized (Default value)
False: The fonts of all controls will not be resized.

Explanation

The ValidTaskbar property sets whether or not "The Taskbar" is displayed when the form size is larger than the screen size. ("The Taskbar" refers to the Windows taskbar that appears at the bottom of the screen and includes the "Start" menu.)

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


DynamicAdd

DynamicAdd Method

This method updates the ResizeKit so the dynamically added controls will be included in resizing.

C++Builder: [form.]resizecontrolname-->DynamicAdd()
Delphi: [form.]resizecontrolname.DynamicAdd

Parameters

None

Return Value

None

Explanation

The DynamicAdd method updates the ResizeKit so the dynamically added controls will be included in resizing. If you have added controls to your form at runtime and the newly added controls are not resized, then please call this method. This method should be called after the controls have been dynamically added to the form. Even without executing this method, most controls dynamically added to the form will be resized by the ResizeKit. However, there are cases where you may need to call this method.

The DynamicAdd method is for use in VCL versions of the ResizeKit only.


DynamicDelete

DynamicDelete Method

This method updates the ResizeKit so the dynamically deleted controls will be removed from resizing.

C++Builder: [form.]resizecontrolname-->DynamicDelete()
Delphi: [form.]resizecontrolname.DynamicDelete

Parameters

None

Return Value

None

Explanation

The DynamicDelete method updates the ResizeKit so the dynamically deleted controls will be removed from resizing. If you have deleted controls from your form at runtime and the remaining controls are not resized correctly, then please call this method. This method should be called after controls have been dynamically deleted from the form. Even without executing this method, most controls dynamically deleted from the form will not affect how the remaining controls are resized by the ResizeKit. However, there are cases where you may need to call this method.

The DynamicDelete method is for use in VCL versions of the ResizeKit only.


ExitResize Event

This event is generated after the form has been resized.

In ActiveX [form.]Sub resizecontrolname_ExitResize(ByVal XScale As Double, ByVal YScale As Double)
In VCL [form.]form.resizecontrolname ExitResize(Sender: TObject; XScale, YScale: Double)

Parameters

XScale: Gives the width of the form after resizing as a factor of the width of the initial display of the form.
(Width of resized form / width of initial display of the form)

YScale: Gives the height of the form after resizing as a factor of the height of the initial display of the form.
(Height of resized form / height of initial display of the form).

Explanation

The ExitResize event is generated after the form has been resized. Using this event, you can customize the resize process to execute code that you want to occur when a form has been resized (i.e. adding code to adjust the fonts within the individual cells of a grid control).

For example, the following VB code displays the values returned by the XScale and YScale parameters in a label:

Private Sub ResizeKit1_ExitResize(ByVal XScale As Double, ByVal YScale As Double)
Dim Msg As String
Msg = "The form's initial display was resized. " & vbCr
Msg = Msg & "Width" & " X " & Left(CStr(XScale), 5) & vbCr
Msg = Msg & "Height" & " X " & Left(CStr(YScale), 5) & vbCr
Label1.Caption = Msg
End Sub